Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009441 [DCSS] Bug Report crash sometimes 2015-01-25 21:58 2016-01-30 02:26
Reporter Jarlyk View Status public  
Assigned To Lasty
Priority normal Resolution done  
Status closed   Product Branch 0.16 ancient branch
Summary 0009441: Crash upon Demonspawn Level-Up
Description Was playing 0.16-a0-3691 and had a crash when I chose the level-up selection for a Demonspawn character. Looking at the crash file in the morgue, it occurred immediately after the "Your demonic ancestry asserts itself..." message. I'm wondering if it might be a conflict with Ru, as I accepted a Ru mutation (Frailty).

I upgraded to 0.16-a0-3790 and the crash occurred again under the same circumstances. I've attached both crash files and the save file.
Additional Information
Tags No tags attached.
Attached Files txt file icon crash-Jarlyst-20150125-125151.txt [^] (48,396 bytes) 2015-01-25 21:58 [Show Content]
txt file icon crash-Jarlyst-20150125-122128.txt [^] (46,550 bytes) 2015-01-25 21:58 [Show Content]
? file icon Jarlyst.cs [^] (748,071 bytes) 2015-01-25 21:59

- Relationships

-  Notes
(0028359)
Lasty (developer)
2015-01-26 01:29

This is fixed in 06613548390e922c598001030584d74093687d65.
(0028360)
Lasty (developer)
2015-01-26 01:29

Thanks for the report!
(0028362)
Lasty (developer)
2015-01-26 01:31

Are you playing online or locally? I'm going to try to fix your game in progress.
(0028363)
Jarlyk (reporter)
2015-01-26 02:06

Playing locally
(0028364)
Jarlyk (reporter)
2015-01-26 02:13

Aha, I thought it was a Ru thing. If I read the fix right, means that Frail won't be offered as a sacrifice option if DS will eventually have Robust?

- Issue History
Date Modified Username Field Change
2015-01-25 21:58 Jarlyk New Issue
2015-01-25 21:58 Jarlyk File Added: crash-Jarlyst-20150125-125151.txt
2015-01-25 21:58 Jarlyk File Added: crash-Jarlyst-20150125-122128.txt
2015-01-25 21:59 Jarlyk File Added: Jarlyst.cs
2015-01-26 01:29 Lasty Note Added: 0028359
2015-01-26 01:29 Lasty Status new => resolved
2015-01-26 01:29 Lasty Fixed in Branch => 0.16 development branch
2015-01-26 01:29 Lasty Resolution open => done
2015-01-26 01:29 Lasty Assigned To => Lasty
2015-01-26 01:29 Lasty Note Added: 0028360
2015-01-26 01:31 Lasty Note Added: 0028362
2015-01-26 02:06 Jarlyk Note Added: 0028363
2015-01-26 02:13 Jarlyk Note Added: 0028364
2016-01-30 02:26 Jarlyk Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker